    # File lib/fog/aws/parsers/elasticache/engine_defaults_parser.rb, line 21
              def start_element(name, attrs = [])
                case name
                when 'CacheNodeTypeSpecificParameter', 'Parameter'
                  @parameter = {}
                when 'CacheNodeTypeSpecificValues'
                  @parameter[name] = []
                when 'CacheNodeTypeSpecificValue'
                  @node_specific_value = {}
                else
                  super
                end
              end